import httpRequest from '@/utils/axios'
import type { CompanyType } from './types'

// 创建公司
export function createCompany(data: CompanyType) {
  return httpRequest.post('/api/psp/backend/banner/create', data)
}

// 更新公司
export function updateCompany(data: CompanyType) {
  return httpRequest.post('/api/psp/backend/banner/update', data)
}

// 获取公司详情
export function getCompany(params: { id: string }) {
  return httpRequest.get('/api/psp/backend/banner/view', { params })
}
