export interface AlumniType {
  id: string
  sso_id: string
  username: string
  sex: '0' | '1' | '2'
  birthday: string
  graduating_institution: string
  specialty: string
  highest_qualification: string
  class: ClassType[]
  project_prefix:
    | 'sofia'
    | 'kelley'
    | 'marywood'
    | 'marywood_plus'
    | 'sbu_plus'
    | 'cbu_plus'
    | 'seg'
    | 'x1'
    | 'ciis'
    | 'campbellsvile'
    | 'classes'
    | 'prp'
    | 'wmp'
    | 'financial'
  province: string
  city: string
  industry: string
  workplace: string
  department: string
  position: string
}

export interface ClassType {
  class_id: string
  name: string
  project_prefix: string
}
