import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/hr/job',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/Index.vue') },
      { path: 'view/:id', component: () => import('./views/View.vue'), props: true }
    ]
  }
]
